package com.yem.wm.bc.change.business.service;

import kd.bos.dataentity.entity.DynamicObject;

import java.util.Map;

/**
 * @author 夜子
 * @ClassName IXBillChangeService
 * @description: TODO
 * @date 2023年08月10日
 * @version: 1.0
 */
public interface IXBillChangeService {
    String ENTRY_ENTITY = "entity";
    String ENTRY_SRCID = "srcid";
    String ENTRY_CHANGETYPE = "changetype";
    String ENTRY_BTN_TOOLBAR = "entry_toolbar";
    String ENTRY_BTN_ADD = "btn_add";
    String ENTRY_BTN_DELETE = "btn_delete";
    String ENTRY_BTN_MODIFY = "btn_modify";

    Map<String, Map<String, String>> getXBillEntryAndOp();

    default void beforeSrcBillChange(DynamicObject srcBill) {
    }

    default void afterSrcBillChange(DynamicObject xBill) {
    }
    default void beforeXBillBizValid(DynamicObject xBill) {
    }

    default void afterXBillBizValid(DynamicObject xBill) {
    }
    default void beforeXBillAudit(DynamicObject xBill) {
    }

    default void afterXBillAudit(DynamicObject xBill) {
    }

    default void beforeXBillSubmit(DynamicObject xBill) {
    }

    default void afterXBillSubmit(DynamicObject xBill) {
    }

    default void beforeXBillSave(DynamicObject xBill) {
    }

    default void afterXBillSave(DynamicObject xBill) {
    }
}
